Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 5224 in orxonox.OLD


Ignore:
Timestamp:
Sep 23, 2005, 7:09:27 PM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: typo in configure.ac

Location:
trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/config.h.in

    r4826 r5224  
    66/* in which debug mode we are */
    77#undef DEBUG
     8
     9/* Define to 1 if you have the <AL/alut.h> header file. */
     10#undef HAVE_AL_ALUT_H
    811
    912/* Define to 1 if you have the <AL/al.h> header file. */
  • trunk/configure

    r5221 r5224  
    39593959if test "${with_shared_lib_path+set}" = set; then
    39603960  withval="$with_shared_lib_path"
    3961   SHARED_LIB_PATH=$enableval
     3961  SHARED_LIB_PATH=$withval
    39623962fi;
    3963 
    3964 if test x$SHARED_LIB_PATH = xno; then
     3963if test x$SHARED_LIB_PATH != xno; then
     3964        echo "set to $SHARED_LIB_PATH"
     3965else
    39653966        echo "no"
    3966 else
    3967         echo $SHARED_LIB_PATH
    39683967fi
    39693968
     
    39963995#define DEBUG $DEBUG
    39973996_ACEOF
    3998 
    39993997
    40003998
     
    43214319echo "mingw-WINDOWS detected"
    43224320
    4323 CPPFLAGS="-I/usr/include -I/mingw/include"
     4321CPPFLAGS="-I/usr/include -I/mingw/include $CPPFLAGS"
    43244322
    43254323    mingw="yes"
     
    55395537 Linux="yes"
    55405538
    5541 CPPFLAGS="-I/usr/include"
     5539##CPPFLAGS="-I/usr/include $CPPFLAGS"
     5540##LDFLAGS="-L/usr/lib $LDFLAGS"
    55425541if test x$SHARED_LIB_PATH != xno; then
    5543         echo "setting new LDFlAGS with $SHARED_LIB_PATH"
    5544         LDFLAGS="-Wl,-rpath,$SHARED_LIB_PATH $LDFLAGS"
    5545 fi
    5546 LDFLAGS="-L/usr/lib"
    5547 ## LDFLAGS="-L/usr/lib -L$HOME/tmp/lib $LDFLAGS"
     5542        echo "setting new LDFLAGS with $SHARED_LIB_PATH"
     5543        LDFLAGS="-Wl,-rpath,$SHARED_LIB_PATH -L$SHARED_LIB_PATH $LDFLAGS"
     5544fi
    55485545
    55495546# checking gl header
     
    59325929
    59335930
    5934     echo "$as_me:$LINENO: checking for main in -lGLU" >&5
    5935 echo $ECHO_N "checking for main in -lGLU... $ECHO_C" >&6
    5936 if test "${ac_cv_lib_GLU_main+set}" = set; then
    5937   echo $ECHO_N "(cached) $ECHO_C" >&6
    5938 else
    5939   ac_check_lib_save_LIBS=$LIBS
    5940 LIBS="-lGLU  $LIBS"
    5941 cat >conftest.$ac_ext <<_ACEOF
    5942 /* confdefs.h.  */
    5943 _ACEOF
    5944 cat confdefs.h >>conftest.$ac_ext
    5945 cat >>conftest.$ac_ext <<_ACEOF
    5946 /* end confdefs.h.  */
    5947 
    5948 
    5949 int
    5950 main ()
    5951 {
    5952 main ();
    5953   ;
    5954   return 0;
    5955 }
    5956 _ACEOF
    5957 rm -f conftest.$ac_objext conftest$ac_exeext
    5958 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5959   (eval $ac_link) 2>conftest.er1
    5960   ac_status=$?
    5961   grep -v '^ *+' conftest.er1 >conftest.err
    5962   rm -f conftest.er1
    5963   cat conftest.err >&5
    5964   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5965   (exit $ac_status); } &&
    5966          { ac_try='test -z "$ac_c_werror_flag"
    5967                          || test ! -s conftest.err'
    5968   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5969   (eval $ac_try) 2>&5
    5970   ac_status=$?
    5971   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5972   (exit $ac_status); }; } &&
    5973          { ac_try='test -s conftest$ac_exeext'
    5974   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5975   (eval $ac_try) 2>&5
    5976   ac_status=$?
    5977   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5978   (exit $ac_status); }; }; then
    5979   ac_cv_lib_GLU_main=yes
    5980 else
    5981   echo "$as_me: failed program was:" >&5
    5982 sed 's/^/| /' conftest.$ac_ext >&5
    5983 
    5984 ac_cv_lib_GLU_main=no
    5985 fi
    5986 rm -f conftest.err conftest.$ac_objext \
    5987       conftest$ac_exeext conftest.$ac_ext
    5988 LIBS=$ac_check_lib_save_LIBS
    5989 fi
    5990 echo "$as_me:$LINENO: result: $ac_cv_lib_GLU_main" >&5
    5991 echo "${ECHO_T}$ac_cv_lib_GLU_main" >&6
    5992 if test $ac_cv_lib_GLU_main = yes; then
    5993   FOUND_GLU=yes
    5994 fi
    5995 
    5996     if test x$FOUND_GLU = xyes ; then
     5931#    AC_CHECK_LIB([GLU], [main], FOUND_GLU=yes)
     5932#    if test x$FOUND_GLU = xyes ; then
    59975933      LIBS="$LIBS -lGLU"
    5998     else
    5999          echo "------------------"
    6000          echo "GLU library not found."
    6001          echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
    6002          echo "------------------"
    6003          exit -1
    6004     fi
     5934#    else
     5935#         echo "------------------"
     5936#         echo "GLU library not found."
     5937#         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
     5938#         echo "------------------"
     5939#         exit -1
     5940#    fi
    60055941
    60065942#--------#
     
    62356171     fi
    62366172# checking for alut
    6237 #  AC_CHECK_LIB([alut], [main], [FOUND_openal=yes])
    6238 #     if test x$FOUND_openal = xyes ; then
    6239 #       LIBS="$LIBS -lalut"
    6240 #     fi
    6241 
    6242 # checking for SDL
    6243   echo "$as_me:$LINENO: checking for SDL-version" >&5
    6244 echo $ECHO_N "checking for SDL-version... $ECHO_C" >&6
    6245   SDL_VERSION=`sdl-config --version`
    6246   echo $SDL_VERSION
    6247 
    6248 
    6249 for ac_header in SDL.h
     6173
     6174for ac_header in AL/alut.h
    62506175do
    62516176as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    63936318
    63946319else
    6395 
    6396 for ac_header in SDL/SDL.h
     6320  { { echo "$as_me:$LINENO: error: cannot find openAL Utility Toolkit (alut) header." >&5
     6321echo "$as_me: error: cannot find openAL Utility Toolkit (alut) header." >&2;}
     6322   { (exit 1); exit 1; }; }
     6323fi
     6324
     6325done
     6326
     6327  echo "$as_me:$LINENO: checking for main in -lalut" >&5
     6328echo $ECHO_N "checking for main in -lalut... $ECHO_C" >&6
     6329if test "${ac_cv_lib_alut_main+set}" = set; then
     6330  echo $ECHO_N "(cached) $ECHO_C" >&6
     6331else
     6332  ac_check_lib_save_LIBS=$LIBS
     6333LIBS="-lalut  $LIBS"
     6334cat >conftest.$ac_ext <<_ACEOF
     6335/* confdefs.h.  */
     6336_ACEOF
     6337cat confdefs.h >>conftest.$ac_ext
     6338cat >>conftest.$ac_ext <<_ACEOF
     6339/* end confdefs.h.  */
     6340
     6341
     6342int
     6343main ()
     6344{
     6345main ();
     6346  ;
     6347  return 0;
     6348}
     6349_ACEOF
     6350rm -f conftest.$ac_objext conftest$ac_exeext
     6351if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6352  (eval $ac_link) 2>conftest.er1
     6353  ac_status=$?
     6354  grep -v '^ *+' conftest.er1 >conftest.err
     6355  rm -f conftest.er1
     6356  cat conftest.err >&5
     6357  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6358  (exit $ac_status); } &&
     6359         { ac_try='test -z "$ac_c_werror_flag"
     6360                         || test ! -s conftest.err'
     6361  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6362  (eval $ac_try) 2>&5
     6363  ac_status=$?
     6364  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6365  (exit $ac_status); }; } &&
     6366         { ac_try='test -s conftest$ac_exeext'
     6367  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6368  (eval $ac_try) 2>&5
     6369  ac_status=$?
     6370  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6371  (exit $ac_status); }; }; then
     6372  ac_cv_lib_alut_main=yes
     6373else
     6374  echo "$as_me: failed program was:" >&5
     6375sed 's/^/| /' conftest.$ac_ext >&5
     6376
     6377ac_cv_lib_alut_main=no
     6378fi
     6379rm -f conftest.err conftest.$ac_objext \
     6380      conftest$ac_exeext conftest.$ac_ext
     6381LIBS=$ac_check_lib_save_LIBS
     6382fi
     6383echo "$as_me:$LINENO: result: $ac_cv_lib_alut_main" >&5
     6384echo "${ECHO_T}$ac_cv_lib_alut_main" >&6
     6385if test $ac_cv_lib_alut_main = yes; then
     6386  FOUND_alut=yes
     6387fi
     6388
     6389     if test x$FOUND_alut = xyes ; then
     6390       LIBS="-lalut $LIBS"
     6391     fi
     6392
     6393# checking for SDL
     6394  echo "$as_me:$LINENO: checking for SDL-version" >&5
     6395echo $ECHO_N "checking for SDL-version... $ECHO_C" >&6
     6396  SDL_VERSION=`sdl-config --version`
     6397  echo $SDL_VERSION
     6398
     6399   CPPFLAGS="$CPPFLAGS `sdl-config --cflags`"
     6400
     6401for ac_header in SDL.h
    63976402do
    63986403as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    65406545
    65416546else
     6547
     6548for ac_header in SDL/SDL.h
     6549do
     6550as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     6551if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6552  echo "$as_me:$LINENO: checking for $ac_header" >&5
     6553echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6554if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6555  echo $ECHO_N "(cached) $ECHO_C" >&6
     6556fi
     6557echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6558echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6559else
     6560  # Is the header compilable?
     6561echo "$as_me:$LINENO: checking $ac_header usability" >&5
     6562echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     6563cat >conftest.$ac_ext <<_ACEOF
     6564/* confdefs.h.  */
     6565_ACEOF
     6566cat confdefs.h >>conftest.$ac_ext
     6567cat >>conftest.$ac_ext <<_ACEOF
     6568/* end confdefs.h.  */
     6569$ac_includes_default
     6570#include <$ac_header>
     6571_ACEOF
     6572rm -f conftest.$ac_objext
     6573if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6574  (eval $ac_compile) 2>conftest.er1
     6575  ac_status=$?
     6576  grep -v '^ *+' conftest.er1 >conftest.err
     6577  rm -f conftest.er1
     6578  cat conftest.err >&5
     6579  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6580  (exit $ac_status); } &&
     6581         { ac_try='test -z "$ac_c_werror_flag"
     6582                         || test ! -s conftest.err'
     6583  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6584  (eval $ac_try) 2>&5
     6585  ac_status=$?
     6586  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6587  (exit $ac_status); }; } &&
     6588         { ac_try='test -s conftest.$ac_objext'
     6589  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6590  (eval $ac_try) 2>&5
     6591  ac_status=$?
     6592  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6593  (exit $ac_status); }; }; then
     6594  ac_header_compiler=yes
     6595else
     6596  echo "$as_me: failed program was:" >&5
     6597sed 's/^/| /' conftest.$ac_ext >&5
     6598
     6599ac_header_compiler=no
     6600fi
     6601rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6602echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     6603echo "${ECHO_T}$ac_header_compiler" >&6
     6604
     6605# Is the header present?
     6606echo "$as_me:$LINENO: checking $ac_header presence" >&5
     6607echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     6608cat >conftest.$ac_ext <<_ACEOF
     6609/* confdefs.h.  */
     6610_ACEOF
     6611cat confdefs.h >>conftest.$ac_ext
     6612cat >>conftest.$ac_ext <<_ACEOF
     6613/* end confdefs.h.  */
     6614#include <$ac_header>
     6615_ACEOF
     6616if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     6617  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     6618  ac_status=$?
     6619  grep -v '^ *+' conftest.er1 >conftest.err
     6620  rm -f conftest.er1
     6621  cat conftest.err >&5
     6622  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6623  (exit $ac_status); } >/dev/null; then
     6624  if test -s conftest.err; then
     6625    ac_cpp_err=$ac_c_preproc_warn_flag
     6626    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     6627  else
     6628    ac_cpp_err=
     6629  fi
     6630else
     6631  ac_cpp_err=yes
     6632fi
     6633if test -z "$ac_cpp_err"; then
     6634  ac_header_preproc=yes
     6635else
     6636  echo "$as_me: failed program was:" >&5
     6637sed 's/^/| /' conftest.$ac_ext >&5
     6638
     6639  ac_header_preproc=no
     6640fi
     6641rm -f conftest.err conftest.$ac_ext
     6642echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     6643echo "${ECHO_T}$ac_header_preproc" >&6
     6644
     6645# So?  What about this header?
     6646case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     6647  yes:no: )
     6648    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     6649echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     6650    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     6651echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     6652    ac_header_preproc=yes
     6653    ;;
     6654  no:yes:* )
     6655    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     6656echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     6657    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     6658echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     6659    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     6660echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6661    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6662echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6663    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6664echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6665    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6666echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6667    (
     6668      cat <<\_ASBOX
     6669## ---------------------------------------------- ##
     6670## Report this to orxonox-dev at mail.datacore.ch ##
     6671## ---------------------------------------------- ##
     6672_ASBOX
     6673    ) |
     6674      sed "s/^/$as_me: WARNING:     /" >&2
     6675    ;;
     6676esac
     6677echo "$as_me:$LINENO: checking for $ac_header" >&5
     6678echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6679if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6680  echo $ECHO_N "(cached) $ECHO_C" >&6
     6681else
     6682  eval "$as_ac_Header=\$ac_header_preproc"
     6683fi
     6684echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6685echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6686
     6687fi
     6688if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6689  cat >>confdefs.h <<_ACEOF
     6690#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6691_ACEOF
     6692
     6693else
    65426694  { { echo "$as_me:$LINENO: error: cannot find SDL header. please download from libsdl.org" >&5
    65436695echo "$as_me: error: cannot find SDL header. please download from libsdl.org" >&2;}
     
    65516703done
    65526704
    6553    CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
     6705   LIBS="`sdl-config --libs` $LIBS"
    65546706   echo "$as_me:$LINENO: checking for main in -lSDL" >&5
    65556707echo $ECHO_N "checking for main in -lSDL... $ECHO_C" >&6
     
    66156767
    66166768    if test x$FOUND_SDL = xyes ; then
    6617         LIBS="`sdl-config --libs` $LIBS"
     6769     echo `sdl-config --libs`
    66186770    else
    66196771        echo "------------------"
  • trunk/configure.ac

    r5223 r5224  
    360360 Linux="yes"
    361361
    362 CPPFLAGS="-I/usr/include $CPPFLAGS"
     362##CPPFLAGS="-I/usr/include $CPPFLAGS"
     363##LDFLAGS="-L/usr/lib $LDFLAGS"
    363364if test x$SHARED_LIB_PATH != xno; then
    364365        echo "setting new LDFLAGS with $SHARED_LIB_PATH"
    365366        LDFLAGS="-Wl,-rpath,$SHARED_LIB_PATH -L$SHARED_LIB_PATH $LDFLAGS"
    366367fi
    367 LDFLAGS="-L/usr/lib $LDFLAGS"
    368368
    369369# checking gl header
     
    418418  AC_CHECK_HEADERS([AL/alut.h] ,,
    419419      [AC_MSG_ERROR([cannot find openAL Utility Toolkit (alut) header.])])
    420   AC_CHECK_LIB([alut], [main], [FOUND_openal=yes])
    421      if test x$FOUND_openal = xyes ; then
    422        LIBS="$LIBS -lalut"
     420  AC_CHECK_LIB([alut], [main], [FOUND_alut=yes])
     421     if test x$FOUND_alut = xyes ; then
     422       LIBS="-lalut $LIBS"
    423423     fi
    424424
     
    428428  echo $SDL_VERSION
    429429
    430    CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
     430   CPPFLAGS="$CPPFLAGS `sdl-config --cflags`"
    431431   AC_CHECK_HEADERS([SDL.h] ,,
    432432      [AC_CHECK_HEADERS([SDL/SDL.h] ,,AC_MSG_ERROR([cannot find SDL header. please download from libsdl.org])]))
Note: See TracChangeset for help on using the changeset viewer.